# Uses of Class
net.postgis.jdbc.geometry.Point

Packages that use Point
Package
Description
net.postgis.jdbc.geometry

## Uses of Point in net.postgis.jdbc.geometry

Methods in net.postgis.jdbc.geometry that return Point
Modifier and Type
Method
Description
`Point`
ComposedGeom.`getFirstPoint()`
Optimized version
`abstract Point`
Geometry.`getFirstPoint()`
Same as getPoint(0);
`Point`
Point.`getFirstPoint()`
Optimized versions for this special case
`Point`
ComposedGeom.`getLastPoint()`
Optimized version
`abstract Point`
Geometry.`getLastPoint()`
Same as getPoint(numPoints()-1);
`Point`
Point.`getLastPoint()`
Optimized versions for this special case
`Point`
ComposedGeom.`getPoint(int n)`
`abstract Point`
Geometry.`getPoint(int n)`
Get the nth Point of the geometry
`Point`
Point.`getPoint(int index)`
`Point`
PointComposedGeom.`getPoint(int idx)`
optimized version
`Point[]`
PointComposedGeom.`getPoints()`
Get the underlying Point array
Methods in net.postgis.jdbc.geometry with parameters of type Point
Modifier and Type
Method
Description
`double`
Point.`distance(Point other)`
`final boolean`
Point.`equals(Point other)`
Constructors in net.postgis.jdbc.geometry with parameters of type Point
Modifier
Constructor
Description
``
`LinearRing(Point[] points)`
``
`LineString(Point[] points)`
``
`MultiPoint(Point[] points)`
`protected`
`PointComposedGeom(int type, Point[] points)`